Page MenuHomePhabricator

here comes meson
ClosedPublic

Authored by bu5hm4n on Sep 8 2018, 8:52 AM.

Details

Summary

a new shiny buildtool that currently completes in the total of ~ 4 min..
1 min. conf time
2:30 min. build time
Where autotools takes:
1:50 min. conf time
3:40 min. build time.

meson was taken because it went quite good for enlightenment, and is a traction gaining system that is also used by other mayor projects. Additionally, the DSL that is defined my meson makes the configuration of the builds a lot easier to read.

Further informations can be gathered from the README.meson

Right now, bindings are missing.

Co-authored-by: Mike Blumenkrantz <zmike@samsung.com>

Depends on D7011

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Sep 8 2018, 8:52 AM
bu5hm4n requested review of this revision.Sep 8 2018, 8:52 AM

For such a big commit, the commit message is way too small. I know this has been discussed for a long time on mail and IRC, but only the git log remains... ?

bu5hm4n edited the summary of this revision. (Show Details)Sep 8 2018, 12:44 PM
bu5hm4n edited the summary of this revision. (Show Details)Sep 8 2018, 12:58 PM
bu5hm4n updated this revision to Diff 16759.Sep 12 2018, 5:01 AM
bu5hm4n edited the summary of this revision. (Show Details)

update

I verified it configures (after I installed libxkb-dev, libinput-dev and libgbm-dev and used -Davahi=false) and it builds blazingly fast (albeit with many warnings, log here: P234).
It ninja installed in mere seconds.
I then randomly checked some elementary_tests and everything worked fine (just the regular hundreds of console warnings).

So I'd say this is in good shape, but I miss the C# bindings very much.

It is worth saying, though, that with autotools my default install dir was /usr/local/lib and now it changed to /usr/local/lib/x86_64-linux-gnu, so I ended up with a dual installation and a very confused pkg-config.

Its not perfect yes, but its the meson default, i don't like to change that :)

This revision was not accepted when it landed; it landed in state Needs Review.Oct 2 2018, 8:24 AM
Closed by commit rEFL46d464e5bfc1: here comes meson (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.